﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace LWP.NavigationSamples.HomeNavigationSamplePages
{
    public partial class BackNavConfig : PhoneApplicationPage
    {
        public BackNavConfig()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            UpdateUIWithInitializationData(); 
            navigateButton.IsEnabled = HomeNavigationHelper.Instance.IsInitialized;
            //JAIMECLEANUP initializeButton.IsEnabled = !BackNavigationHelper.Instance.IsInitialized;
        }

        void UpdateUIWithInitializationData()
        {

            navigateButton.IsEnabled = HomeNavigationHelper.Instance.IsInitialized;
          //JAIMECLEANUP  initializeButton.IsEnabled = !BackNavigationHelper.Instance.IsInitialized;
        } 

        void OnInitializeNavHelper(object u, RoutedEventArgs a)
        {
           
            UpdateUIWithInitializationData(); 
        }

        void OnStart (object u, RoutedEventArgs a)
        {
            HomeNavigationHelper.Instance.AutoJournal = autoJournal.IsChecked.Value;
            HomeNavigationHelper.Instance.HideFrameonHomeNav = hideFrame.IsChecked.Value;
            HomeNavigationHelper.Instance.ValidateUriBeforeHomeNav = this.validateJournalOnBack.IsChecked.Value;
            HomeNavigationHelper.DemoSettings.HideAppBarOnNavigate = this.hideAppbar.IsChecked.Value;
            HomeNavigationHelper.DemoSettings.PreventLoopCreation = this.avoidLoops.IsChecked.Value; 


            NavigationService.Navigate(new Uri("/HomeNavigationSamplePages/LevelPage.xaml?level=0", UriKind.Relative)); 
        }

    }
}